Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A1200/A600 4xIDE Interface

AuthorTopic: FFmpeg + FFplay SVN-r18880 (m68k)  (Read 14543 times)

0 Members and 1 Guest are viewing this topic.

Offline dcr8520

Re: FFmpeg + FFplay SVN-r18880 (m68k)
« Reply #75 on: May 27, 2009, 05:01:12 AM »
Quote from: bernd_afa;456382
I find now a solution that is easy to add, and PPC User can happy that they have the higher library number ;-)

I open in crt0.o the ixemul library V48
when a lib is open, i check in library structure for V48 number and the revisionsnumber.


Don't do this.

Yesterday, I started testing a method to open only the required library, meaning that if someone compiles a program using V61 SDK, and that program only uses V48 functions, the program will only require ixemul.library V48. that's nice/best, isn't it? :)

First tests i did succedd, and for now i only found a problem... that method only works with no-baserel programs... anyhow, i guess thats the 90% of the software..

i'll continue with it sometime soon.. (yesterday i just had some free time, and i decided to try that rather than the blacklist implementation which will require more time than i used for this ;))
 

Offline bernd_afa

Re: FFmpeg + FFplay SVN-r18880 (m68k)
« Reply #76 on: May 27, 2009, 10:57:12 AM »
Quote from: dcr8520;456453
Don't do this.

Yesterday, I started testing a method to open only the required library, meaning that if someone compiles a program using V61 SDK, and that program only uses V48 functions, the program will only require ixemul.library V48. that's nice/best, isn't it? :)
)


yes this work, when the libc and crt0.o from V48 is used.

but the arguments are from PPC side, if a program want install ixemul lib V61(from installer), MOS or OS4 show a requester if they should replace the library because existing is V49 and new is V61.

so i should not have a libnum over V49

of course thats not good argument, because there are no ixemul programs that install ixemul lib in lib folder with a installer.ixemul programs need no installer.i know only cubic ide with installer, but this install lib in a seperate folder on later search path.only is the ppc libnum is not good enough this lib is used.

also the correct issue is that MOS or OS4 print on install a warning, if the user want overwrite the library with a higher 68k Version, this can make problems.

win vista for example bring such a requester when you want install a XP driver.

But to say 68k libs should not have more features that need of course a libnum increase, or they should rename is really bad.
« Last Edit: May 27, 2009, 01:56:50 PM by bernd_afa »
 

Offline dcr8520

Re: FFmpeg + FFplay SVN-r18880 (m68k)
« Reply #77 on: May 27, 2009, 06:11:52 PM »
Quote from: bernd_afa;456478
yes this work, when the libc and crt0.o from V48 is used.


I do not mean to use V48 files, this will work dynamically (at runtime) from whatever ixemul version you build next. well, i already provided you the details by email ;)

Quote from: bernd_afa;456478

win vista for example bring such a requester when you want install a XP driver.


Vista brings a requester everywhere with everything ;P